summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2018-03-16 22:36:26 -0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-24 06:50:33 +0700
commit17964961bf1d5a72244519575904c5f1f5f09969 (patch)
treedefea69859f63d7b68b5c9efa1bce294c5edfe47 /gis
parentd8bc276f6d2e604b9e65f4ecd677e6b165805de6 (diff)
downloadslackbuilds-17964961bf1d5a72244519575904c5f1f5f09969.tar.gz
slackbuilds-17964961bf1d5a72244519575904c5f1f5f09969.tar.xz
gis/mapnik: Switch to i586.
Signed-off-by: Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
Diffstat (limited to 'gis')
-rw-r--r--gis/mapnik/mapnik.SlackBuild19
1 files changed, 9 insertions, 10 deletions
diff --git a/gis/mapnik/mapnik.SlackBuild b/gis/mapnik/mapnik.SlackBuild
index d588fd3f99..233fa602b6 100644
--- a/gis/mapnik/mapnik.SlackBuild
+++ b/gis/mapnik/mapnik.SlackBuild
@@ -29,7 +29,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -42,8 +42,8 @@ OUTPUT=${OUTPUT:-/tmp}
JOBS=${JOBS:-1}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -72,10 +72,10 @@ cd -
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
./configure \
CC=clang \
@@ -88,11 +88,10 @@ find -L . \
SYSTEM_FONTS=/usr/share/fonts \
INPUT_PLUGINS=sqlite,ogr,shape,geojson,gdal,pgraster,raster,topojson,postgis,csv \
DESTDIR=$PKG
-make
make install
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \